@font-face {
    font-family: "Colus";
    src: url('../assets/fonts/Colus.woff2') format('woff2');
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: 'HelveticaNeue-Light';
    src: url('../assets/fonts/HelveticaNeue-Light.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HelveticaNeue-Roman';
    src: url('../assets/fonts/HelveticaNeue-Roman.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HelveticaNeue-Medium';
    src: url('../assets/fonts/HelveticaNeue-Medium.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'HelveticaNeue-Bold';
    src: url('../assets/fonts/HelveticaNeue-Bold.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
}

@keyframes bumpUp {
    0% {
        opacity: 0;
        transform: translateY(60px);
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes justShow {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes toLeft {
    0% {
        opacity: 0;
        transform: translateX(60px);
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

* {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}


ul {
    list-style: none;
}

img,
video {
    max-width: 100%;
    height: auto;
}

body {
    background: #ffffff;
    font-family: 'HelveticaNeue-Medium';
    color: #191919;
    font-size: 18px;
    line-height: 130%;
    text-align: left;
    transition: transform 0.8s ease-in-out;
    transform-origin: center;
    overflow-x: clip;
}

.main_button {
    display: flex;
    height: 52px;
    padding: 2px;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    border-radius: 100px;
    background: linear-gradient(0deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    overflow: hidden;
}

.in_main_button {
    width: 100%;
    height: 100%;
    padding: 0 48px;
    text-shadow: 0 0 12px #B28E33;
    text-align: center;
    font-family: 'HelveticaNeue-Medium';
    font-size: 18px;
    line-height: 130%;
    background: linear-gradient(180deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    border-radius: 100px;
    z-index: 2;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.in_main_button::after {
    content: '';
    position: absolute;
    inset: 0;
    background: url(../assets/left.webp) left center / 69px 100% no-repeat, url(../assets/right.webp) right center / 69px 100% no-repeat;
    opacity: 0.5;
    z-index: -1;
    pointer-events: none;
}

.in_main_button::before {
    content: '';
    pointer-events: none;
    position: absolute;
    top: 2px;
    left: 2px;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    border-radius: 52px;
    background: linear-gradient(0deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    opacity: 0;
    transition: all 0.3s ease;
    z-index: -1;
}

.in_main_button:hover::before {
    opacity: 1;
}

.main_button:hover {
    color: #191919 !important;
}

.loading {
    pointer-events: none;
    position: fixed;
    width: 100%;
    height: 100vh;
    background: linear-gradient(180deg, #FFF 0%, #E5E5E5 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2000;
    transition: opacity 1s ease;
}

.loading.hidden {
    opacity: 0;
    pointer-events: none;
}

body.no-scroll {
    overflow: hidden;
}

.loading_logo {
    background-image: url(../assets/loader.svg);
    background-repeat: no-repeat;
    background-size: contain;
    width: 265px;
    height: 170px;
    animation: heartbeat 2s infinite ease-in-out;
}

@keyframes heartbeat {
    0% {
        transform: scale(1);
    }

    15% {
        transform: scale(1.1);
    }

    30% {
        transform: scale(1);
    }

    45% {
        transform: scale(1.05);
    }

    60% {
        transform: scale(1);
    }

    100% {
        transform: scale(1);
    }
}

.invalid-feedback {
    position: absolute;
    bottom: 70px;
    color: #BA0047;
    font-size: 18px;
    left: 45px;
}

a {
    text-decoration: none;
    color: inherit;
}

img,
video {
    display: block;
    margin-bottom: 0;
}

.butstyle {
    margin: 0 !important;
    position: relative !important;
}

@media (max-width: 1600px) {

    body {
        font-size: 16px;
        line-height: 130%;
    }

    .title {
        font-size: 48px;
        line-height: 110%;
    }
}

@media (max-width: 1200px) {
    .main_button {
        width: 327px;
        height: 52px;
    }

    .in_main_button {
        font-size: 16px;
        line-height: normal;
    }
}

@media (max-width: 1030px) {

    .loading_logo {
        width: 123px;
        height: 148px;
    }

    .main_button {
        height: 52px;
    }
}